Package com.complexible.common.rdf.query

# Class IteratorAsTupleQueryResult

java.lang.Object
com.google.common.collect.UnmodifiableIterator<BindingSet>
com.google.common.collect.AbstractIterator<BindingSet>
com.complexible.common.rdf.query.IteratorAsQueryResult<BindingSet>
com.complexible.common.rdf.query.IteratorAsTupleQueryResult

All Implemented Interfaces:
  `CloseableIterator<BindingSet>`, `QueryResult<BindingSet>`, `SelectQueryResult`, `AutoCloseable`, `Iterator<BindingSet>`

public final class IteratorAsTupleQueryResult extends IteratorAsQueryResult<BindingSet> implements SelectQueryResult

Adapter class for using a BindingSetIteration as a TupleQueryResult

Since:
  0.4
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IteratorAsTupleQueryResult(CloseableIterator<BindingSet> theIter, List<String> theBindingNames, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnError)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `variables()`
  Return the list of projected variables from the query

  ### Methods inherited from class com.complexible.common.rdf.query.IteratorAsQueryResult

  `close, computeNext`

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `close, hasNext, metadata, next, stream`

- ## Constructor Details

  - ### IteratorAsTupleQueryResult

    public IteratorAsTupleQueryResult(CloseableIterator<BindingSet> theIter, List<String> theBindingNames, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnError)

- ## Method Details

  - ### variables

    @Nonnull public List<String> variables()
    Return the list of projected variables from the query
    Specified by:
      `variables` in interface `SelectQueryResult`
    Returns:
      the projection